﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace ProjectMotorboat.Exceptions;
[Serializable]

internal class PositionOutOfCollectionException : ApplicationException
{
    public PositionOutOfCollectionException(int i) : base("В коллекции превышено допустимое количество count" + i) { }

    public PositionOutOfCollectionException() : base() { }

    public PositionOutOfCollectionException(string message) : base(message) { }

    public PositionOutOfCollectionException(string message, Exception exception) : base(message, exception) { }

    protected PositionOutOfCollectionException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
}
